@echo off
cls
echo Sleeping Dogs - patch v2.1 to v2.2
echo.
pause
cls

echo Updating Game.big...
ren Game.big Game.big.tmp
xdelta3 -d -f -q -9 -s Game.big.tmp Game.patch Game.big
del /f /q Game.big.tmp
del /f /q Game.patch

echo Updating GameHD.big...
ren GameHD.big GameHD.big.tmp
xdelta3 -d -f -q -9 -s GameHD.big.tmp GameHD.patch GameHD.big
del /f /q GameHD.big.tmp
del /f /q GameHD.patch

echo Updating Global.big...
ren Global.big Global.big.tmp
xdelta3 -d -f -q -9 -s Global.big.tmp Global.patch Global.big
del /f /q Global.big.tmp
del /f /q Global.patch

echo Updating UI.big...
ren UI.big UI.big.tmp
xdelta3 -d -f -q -9 -s UI.big.tmp UI.patch UI.big
del /f /q UI.big.tmp
del /f /q UI.patch
del /f /q xdelta3.exe

echo.
echo DONE!
echo.
echo.
pause
del /f /q Patch.v2.1_to_v2.2.bat
exit